%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define _make %(if test x$MAKE = x ; then echo make; else echo $MAKE; fi)

%define xmlcatalog %{_sysconfdir}/xml/docbook

%define libxml2_version 2.5.11
%define intltool_version 0.27.2

Summary:	ScrollKeeper is a cataloging system for documentation on open systems.
Name: 		scrollkeeper
Version:    	0.3.12
Release:    	1
Source:    	http://download.sourceforge.net/scrollkeeper/%{name}-%{version}.tar.bz2

Patch0:		scrollkeeper-0.3.12-aix.patch
Patch1:		scrollkeeper-0.3.12-autotools.patch

License:    	LGPL
Group:      	System Environment/Base
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
URL:        	http://scrollkeeper.sourceforge.net/

Requires:   libxml2 >= %{libxml2_version}
Requires:   libxslt
Requires:   intltool >= %{intltool_version}
PreReq:   docbookx
Conflicts:  gnome-user-docs

BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: docbookx


%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It can also communicate
with catalog servers on the Net to search for documents which are not
on the local system.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/scrollkeeper-0.3.12-aix.patch
$PATCH -p2 -s < %{_sourcedir}/scrollkeeper-0.3.12-autotools.patch


%build
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix} \
	    --with-omfdirs=%{_datadir}/omf:/usr/share/omf:/usr/local/share/omf
G_CHARSET_ALIAS=%{_libdir}/charset.alias %{_make}

%install
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
%{_make} DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done


%files 
%defattr(-,root,system)
%doc COPYING COPYING-DOCS AUTHORS README ChangeLog NEWS INSTALL 
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_sysconfdir}/*
%{_datadir}/omf/scrollkeeper
%{_datadir}/scrollkeeper
%{_datadir}/xml
%{_datadir}/locale/*/LC_MESSAGES/scrollkeeper.mo
%{_mandir}/man*/*

/usr/bin/*
/usr/lib/lib*.a

%post
if test ! -d %{_localstatedir}/log; then 
mkdir -p %{_localstatedir}/log
fi
if [ $1 = 2 ]; then
  # Upgrading
  echo $(date +"%b %d %X") Upgrading to ScrollKeeper  scrollkeeper-config --version ... >> %{_localstatedir}/log/scrollkeeper.log
fi
if [ $1 = 1 ]; then
  # Installing
  echo $(date +"%b %d %X") Installing to ScrollKeeper  scrollkeeper-config --version ... >> %{_localstatedir}/log/scrollkeeper.log
fi
%{_bindir}/xmlcatalog --noout --add "public" \
        "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-rebuilddb -q -p %{_localstatedir}/lib/scrollkeeper || true

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.
  # Remove all generated files
  rm -rf %{_localstatedir}/lib/scrollkeeper
  rm -rf %{_localstatedir}/log/scrollkeeper.log
  rm -rf %{_localstatedir}/log/scrollkeeper.log.1
  %{_bindir}/xmlcatalog --noout --del \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi


